Berkeley DB version 4.8.30

## com.sleepycat.db
Class OperationStatus

    java.lang.Object
      com.sleepycat.db.OperationStatus

    public final class OperationStatus

extends Object

Status values from database operations.

Field Summary
`static OperationStatus` `KEYEMPTY` The cursor operation was unsuccessful because the current record was deleted.
`static OperationStatus` `KEYEXIST` The operation to insert data was configured to not allow overwrite and the key already exists in the database.
`static OperationStatus` `NOTFOUND` The requested key/data pair was not found.
`static OperationStatus` `SUCCESS` The operation was successful.

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SUCCESS

    public static final OperationStatus SUCCESS

  The operation was successful.

### KEYEXIST

    public static final OperationStatus KEYEXIST

  The operation to insert data was configured to not allow overwrite and the key already exists in the database.

### KEYEMPTY

    public static final OperationStatus KEYEMPTY

  The cursor operation was unsuccessful because the current record was deleted.

### NOTFOUND

    public static final OperationStatus NOTFOUND

  The requested key/data pair was not found.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Berkeley DB version 4.8.30

Copyright (c) 1996-2009 Oracle. All rights reserved.